clear all;

%% Initialisering
run = 3; % EX:1, DD:2, EX & DD:3

%% Plot
if run == 1
    bitload = [3 5 7];
    extid = [0.6880 36.9530 1475.4220];
elseif run == 2
    bitload = [3 5 7 10 12 15];
    ddtid = [14.7180 20.3280 28.4530 45.7180 150.8120 231.9220];
elseif run == 3
    bitload = [3 5 7];
    ddtid = [14.7180 20.3280 28.4530];
    extid = [0.6880 36.9530 1475.4220];
end
set(gcf,'DefaultLineLineWidth',1);
set(gcf,'DefaultAxesFontSize',14);
hold on;
grid on;
xlabel('Bitloading [bit/s/Hz/carrier]');
ylabel('Beregningstid [s]');
if run == 1
    plot (bitload,extid,'--');
    legend('Exhaustive search','location','northwest')
    axis([3 7 -100 1500]);
elseif run == 2
    plot (bitload,ddtid);
    legend('Dual decomposition','location','northwest')
    axis([3 15 0 250]);
elseif run == 3
    plot (bitload,extid,'--');
    plot (bitload,ddtid);
    legend('Exhaustive search','Dual decomposition','location','northwest');
    axis([3 7 -100 1500]);
end
title('Bitload/Tid');