function [s1,s2] = optimize_lambda1(w)

global P1 epsilon;

lambda1max = 1;
lambda1min = 0;
s1=0;
s2=0;
while sum(s1(:)) > P1
    lambda1max = 2 * lambda1max;
    [s1,s2] = optimize_lambda2(w,lambda1max);
end
differanse = 1;
while differanse > epsilon
    lambda1 = (lambda1max + lambda1min) / 2;
    [s1,s2] = optimize_lambda2(w,lambda1);
    if sum(s1(:)) > P1
        lambda1min = lambda1;
    else
        lambda1max = lambda1;
    end
    differanse = abs(lambda1max - lambda1min);
end

end