function [s1,s2] = optimize_lambda2(w,lambda1)

global P2 epsilon;

lambda2max = 1;
lambda2min = 0;
s1=0;
s2=0;
while sum(s2(:)) > P2
    lambda2max = 2 * lambda2max;
    [s1,s2] = optimize_s(w,lambda1,lambda2max)
end
differanse = 1;
while differanse > epsilon
    lambda2 = (lambda2max + lambda2min) / 2;
    [s1,s2] = optimize_s(w,lambda1,lambda2);
    if sum(s2(:)) > P2
        lambda2min = lambda2;
    else
        lambda2max = lambda2;
    end
    differanse = abs(lambda2max - lambda2min);
end

end