function [s1,s2] = optimize_s(w,lambda1,lambda2)

global NF antallbit gamma pknm skn sigmakn;

for k=1:NF
    L(k)=0;
    for bitbruker1=1:antallbit
        for bitbruker2=1:antallbit
            fext1 = pknm(k,1,2)*skn(k,2,bitbruker2,bitbruker1);
            bk1 = floor( log2(1+1/gamma*skn(k,1,bitbruker1,bitbruker2)/(fext1+sigmakn(k,1))) );
            fext2 = pknm(k,2,1)*skn(k,1,bitbruker1,bitbruker2);
            bk2 = floor( log2(1+1/gamma*skn(k,2,bitbruker2,bitbruker1)/(fext2+sigmakn(k,2))) );
            Ltemp = w*bk1 + (1-w)*bk2 - lambda1*skn(k,1,bitbruker1,bitbruker2) - lambda2*skn(k,2,bitbruker2,bitbruker1);
            if L(k) < Ltemp
                L(k) = Ltemp;
                s1temp = skn(k,1,bitbruker1,bitbruker2);
                s2temp = skn(k,2,bitbruker1,bitbruker2);
            end
        end
    end
    s1(k) = s1temp;
    s2(k) = s2temp;
end

end